// JavaScript Document
$(document).ready( function() {
	//Set Events
	$('#menu li').hover(setActive,setNotActive);					   
	$('#menu li').click(changePage);
	$('.cure .button').live('click', listTabs);
	$('#cureNet_menu a').live('click', cureNetTabs);
	$('a.hard').live('click', function() { $.proxy( changePage, $('li.hardware'))();  $.proxy( setActive, $('li.hardware'))(); return false;});
	$('li.teaser').live('click', function() { $.proxy( changePage, $('li.teaser'))();  $.proxy( setActive, $('li.hidden'))(); return false;});
	$('.hardware table').fadeTo('fast',0.8);
}
);

function setActive() {
	var currentBG = $(this).css('background-image');
	var activeBG;
	if(currentBG.indexOf('active')==-1) {
	activeBG = currentBG.replace('menu_','menu_active_');
	$(this).css('background-image', activeBG);
	}

}

function setNotActive() {
	if(!$(this).hasClass('current')||$(this).hasClass('download')) {
		var currentBG = $(this).css('background-image');
		var notActiveBG;
		notActiveBG = currentBG.replace('menu_active_','menu_');	
		$(this).css('background-image', notActiveBG);
	}
}

function changePage() {
	if($(this).hasClass('cure')) {
		$('.cure_block').hide();
		$('.cure_block.first').show();
	}
	//if($(this).hasClass('doc')) { document.location = "http://download.drweb.com/doc"; return false; }
	//if($(this).hasClass('download')) { document.location = "http://download.drweb.com/?lng=ru"; return false;}
	//if($(this).hasClass('livedemo')) { document.location = "http://download.drweb.com/live_demo/about/?lng=ru"; return false;}
	//if($(this).hasClass('freedemo')) { document.location = "http://download.drweb.com/demoreq/biz/?lng=ru"; return false;}
	//if($(this).hasClass('registration')) { document.location = "http://products.drweb.com/register/?lng=ru"; return false;}
	
	if(!$(this).hasClass('current')) {
		var pageName = $(this).attr('class');
		$('.page').fadeOut('fast');
		$('div.'+pageName).fadeIn('fast');
		var cur = $('#menu .current');
		cur.removeClass('current');
		$.proxy(setNotActive, cur)();
		
		//$('#menu li').removeClass('current');
		$(this).addClass('current');
		if(pageName=="hardware" || pageName=="teaser") {
			$('#main').css('background-image', "url('images/gradient_bg.png')");
		}
		else {
			$('#main').css('background-image', "url('images/logo_bg.png')");
		}
		if(pageName == 'download') { document.location = "http://download.drweb.com/?lng=ru"; return false; /*$('#header').hide(); $('#spider').show();*/ } else { $('#header').show(); $('#spider').hide();}
	}
}

function listTabs() {
	var button = $(this);
	if(!(button.hasClass('download')||button.hasClass('demo'))){
		var tabs = $('.cure .cure_block');
		tabs.fadeOut('fast');
		if(button.hasClass('a_cureIt')) { tabs.filter('.cureIt_about').fadeIn('fast'); }
		if(button.hasClass('a_cureNet')) { tabs.filter('.cureNet_about').fadeIn('fast'); }
		return false;
	}
	else {return true;}
}

function cureNetTabs() {
	var button = $(this);
	if(button.hasClass('current')) { return false;}
	if(!button.hasClass('demo')) {
		var tabs = $('.cure .net_block');
		tabs.fadeOut('fast');
		var currentClass = button.attr('class');
		tabs.filter('.'+currentClass).fadeIn('fast'); 
		$('#cureNet_menu a').removeClass('current');
		button.addClass('current')
		return false;
	}
	else { return true; }
}

function officeTabs() {
	var button = $(this);
	if(button.hasClass('current')) { return false;}
	if(!button.hasClass('testing')) {
		var tabs = $('.office .tab');
		tabs.fadeOut('fast');
		var currentClass = button.attr('class');
		tabs.filter('.'+currentClass).fadeIn('fast');
		$('#office_tabs a').removeClass('current');
		button.addClass('current');
		return false;
	}
	else { return true; }
}
